package vc.thinker.web;

import io.swagger.annotations.Api;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.jasypt.encryption.StringEncryptor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author : xieshaojun
 * @date : 2023/1/5 15:32
 */
@Api
@Slf4j
@RequestMapping("/password")
@RestController
@RequiredArgsConstructor
public class PasswordController {

    @Autowired
    StringEncryptor encryptor;

    @GetMapping("/jia-mi/{password}")
    public String encryptorPassword(@PathVariable("password")String password){
        return encryptor.encrypt(password);
    }
}
